SMFileSchema = {}

SMFileSchema.FileSchema = {
	title = "",
	subtitle = "",
	artist = "",
	titletranslit = "",
	subtitletranslit = "",
	artisttranslit = "",
	credit = "",
	banner = "",
	background = "",
	cdtitle = "",
	music = "",
	offset = 0,
	samplestart = 0,
	samplelength = 0,
	selectable = "",
	bpms = {},
	displaybpm = {},
	stops = {},
	bgchanges = {},

	notes =
	{
		{
			{"notesType", ""},
			{"description", ""},
			{"difficultyClass", ""},
			{"difficultyMeter", 1},
			{"radarValues", ""},
			{"noteData", {}}
		}
	}
}

SMFileSchema.NotesInfos = Utils.tuple2ToIndexHash(SMFileSchema.FileSchema["notes"][1])

SMFileSchema.NotesType = {}
SMFileSchema.NotesType["dance-single"] = 4
SMFileSchema.NotesType["dance-double"] = 8
SMFileSchema.NotesType["dance-couple"] = 8
SMFileSchema.NotesType["dance-solo"] = 6
SMFileSchema.NotesType["pump-single"] = 5
SMFileSchema.NotesType["pump-double"] = 10
SMFileSchema.NotesType["pump-couple"] = 10
SMFileSchema.NotesType["ez2-single"] = 5
SMFileSchema.NotesType["ez2-double"] = 10
SMFileSchema.NotesType["ez2-real"] = 7
SMFileSchema.NotesType["para-single"] = 5

return SMFileSchema
