Gui = require "Quickie"
Gamestate = require "hump.gamestate"
Timer = require "hump.timer"
Config = require "Config"
Utils = require "Utils"
SMFileSchema = require "SMFileSchema"
Files = require "Files"
Config = require "Config"
Game = require "Game"
Menu = require "Menu"

function love.load()
    -- preload fonts
    fonts = {
        [12] = love.graphics.newFont(12),
        [20] = love.graphics.newFont(20),
    }
    love.graphics.setBackgroundColor(17,17,17)
    love.graphics.setFont(fonts[20])

    -- group defaults
    Gui.group.default.size[1] = 150
    Gui.group.default.size[2] = 25
    Gui.group.default.spacing = 5

    Gamestate.registerEvents()
    Gamestate.switch(Menu)
end

function love.update(dt)
    Config.width, Config.height = love.window.getDimensions()
end

function love.draw()
    Gui.core.draw()
end
